org.apache.ignite.internal.processors.cache.distributed

## Class GridCacheOptimisticCheckPreparedTxRequest<K,V>

- java.lang.Object
- - org.apache.ignite.plugin.extensions.communication.MessageAdapter
  - - org.apache.ignite.internal.processors.cache.GridCacheMessage<K,V>
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage<K,V>
      - - org.apache.ignite.internal.processors.cache.distributed.GridCacheOptimisticCheckPreparedTxRequest<K,V>

All Implemented Interfaces:
  Serializable, GridCacheDeployable, GridCacheVersionable

    public class GridCacheOptimisticCheckPreparedTxRequest<K,V>
    extends GridDistributedBaseMessage<K,V>

Message sent to check that transactions related to some optimistic transaction were prepared on remote node.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`MessageAdapter.Type`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`ver`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`CACHE_MSG_INDEX_FIELD_NAME, cacheId, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`reader, readState`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheOptimisticCheckPreparedTxRequest()` Empty constructor required by `Externalizable`
`GridCacheOptimisticCheckPreparedTxRequest(IgniteInternalTx<K,V> tx, int txNum, IgniteUuid futId, IgniteUuid miniId)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`IgniteUuid` `futureId()`
`IgniteUuid` `miniId()`
`GridCacheVersion` `nearXidVersion()`
`boolean` `readFrom(ByteBuffer buf)` Reads this message from provided byte buffer.
`boolean` `system()`
`String` `toString()`
`int` `transactions()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`candidatesByIndex, candidatesByIndex, candidatesByKey, candidatesByKey, candidatesByKey, committedVersions, completedVersions, finishUnmarshal, keysCount, prepareMarshal, rolledbackVersions, version, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`allowForStartup, cacheId, cacheId, classError, deployInfo, ignoreClassErrors, lookupIndex, marshalBooleanLinkedMap, marshalCollection, marshalFilter, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, marshalValuesCollection, messageId, nextIndexId, onClassError, prepare, prepareFilter, prepareObject, prepareObjects, topologyVersion, transactional, transferExpiryPolicy, unmarshalBooleanLinkedMap, unmarshalCollection, unmarshalFilter, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx, unmarshalValueBytesCollection`

### Methods inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`setReader, skipRecovery`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Constructor Detail

#### GridCacheOptimisticCheckPreparedTxRequest

    public GridCacheOptimisticCheckPreparedTxRequest()

Empty constructor required by `Externalizable`

#### GridCacheOptimisticCheckPreparedTxRequest

    public GridCacheOptimisticCheckPreparedTxRequest(IgniteInternalTx<K,V> tx,
                                             int txNum,
                                             IgniteUuid futId,
                                             IgniteUuid miniId)

Parameters:
  `tx` - Transaction.
  `txNum` - Expected number of transactions on remote node.
  `futId` - Future ID.
  `miniId` - Mini future ID.

### Method Detail

#### nearXidVersion

    public GridCacheVersion nearXidVersion()

Returns:
  Near version.

#### futureId

    public IgniteUuid futureId()

Returns:
  Future ID.

#### miniId

    public IgniteUuid miniId()

Returns:
  Mini future ID.

#### transactions

    public int transactions()

Returns:
  Expected number of transactions on node.

#### system

    public boolean system()

Returns:
  System transaction flag.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Overrides:
  `writeTo` in class `GridDistributedBaseMessage<K,V>`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf)

Reads this message from provided byte buffer.

Overrides:
  `readFrom` in class `GridDistributedBaseMessage<K,V>`
Parameters:
  `buf` - Byte buffer.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in class `MessageAdapter`
Returns:
  Message type.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedBaseMessage<K,V>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015